package ru.ulstu.conference.controller;


import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import ru.ulstu.conference.model.ConferenceFilterDto;
import ru.ulstu.conference.service.ConferenceService;
import springfox.documentation.annotations.ApiIgnore;

@Controller()
@RequestMapping(value = "/conferences")
@ApiIgnore
public class ConferenceController {

    private final ConferenceService conferenceService;

    public ConferenceController(ConferenceService paperService) {
        this.conferenceService = paperService;
    }

    @GetMapping("/papers")
    public void getPapers(ModelMap modelMap) {
        modelMap.put("filteredPapers", new ConferenceFilterDto(conferenceService.findAllDto(), null, null));
    }
}
